Subject: Re: Ki.55 By Gianni Chirico
From: "Steve Bamford" <[email-masked]>
To: "Giovanni Chirico" <[email-masked]>
Date: Sun, 22 Dec 2002 21:57:46 -0800

Hi ,
Thanks for sending your article.  I'll e-mail you when your article goes on ARC in 3 or 4 weeks.
Thanks again for sending it in.

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Giovanni Chirico 
  To: [email-masked] 
  Sent: Monday, December 09, 2002 1:06 PM
  Subject: Ki.55 By Gianni Chirico

  Tachikawa Ki.55 Type 99 "Ida"
  Japanese Army Advanced Trainer
  Fujimi 1/72

  Here are some pictures of last Fujimi "Ida".It is a very good kit with recessed panel lines, beautiful decals and details. I built basically out of box, except the seat belts. The paints used are Humbrol 82 for all surface with a some drop of white 34. The Inomaru are painted with mask and airbrush. The cowling is in brown Hu-10. I weathered the model with oils and pastels.Happy modelling.Gianni Chirico.